extensions / Commerce extension
POST
/__runtime/user/rma/{rma_number}/messagesCreate RMA Message
Appends a customer message, up to five uploaded RMA attachments, or both to the signed-in customer's return request, then returns the updated message thread.
GETPOST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront customer session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
rma_number | Yes | Not specified | Description: Value used by this operation. |
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | integer | Description: Target project identifier. |
page | No | integer | Description: Page number for paginated results. |
per_page | No | integer | Description: Maximum number of records to return. |
q | No | string | Description: Search text used by this operation. |
Request Body
Schema: RuntimeRmaMessagePayload
| Field | Required | Type | Details |
|---|---|---|---|
body | No | string | Description: Text value. |
attachments | No | array<string> | Description: Array value. Items: string |
Response Body
Example 200 response
json
{
"success": [],
"message": "string"
}Errors
400 BAD_REQUEST401 UNAUTHORIZED404 NOT_FOUND500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

